#pragma once

#include <GR/GRTypes.h>

#include <Interface/IAnimationManager.h>

#include <list>

#include "PacTypes.h"
#include "TiledMover.h"



class XRenderer;
class Level;

class PlayerShot : public TiledMover
{

  public:

    std::string               m_Color;



    PlayerShot();


    virtual void              ProcessEvent( PlayState& State, const eUnitEvent& Event );

    virtual void              OnLoad( PlayState& State );

    virtual void              OnArrivedAtTile( PlayState& State );

    virtual void              UpdateFixed( PlayState& State );

};


